com.io7m.r2.meshes

## Interface R2MeshTangentsType

- All Superinterfaces:
    R2MeshType
  All Known Implementing Classes:
    R2MeshTangents

      public interface R2MeshTangentsType
      extends R2MeshType

  The type of meshes with tangents.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>>` | `bitangents()`
    `default <A,E extends Exception> A` | `matchMesh(com.io7m.jfunctional.PartialFunctionType<R2MeshBasicType,A,E> on_basic, com.io7m.jfunctional.PartialFunctionType<R2MeshTangentsType,A,E> on_tangents)` Match a mesh type.
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>>` | `normals()`
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>>` | `positions()`
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI4D<R2SpaceObjectType>>` | `tangents()`
    `it.unimi.dsi.fastutil.BigList<R2MeshTriangleType>` | `triangles()`
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI2D<R2SpaceTextureType>>` | `uvs()`
    `it.unimi.dsi.fastutil.BigList<R2MeshTangentsVertexType>` | `vertices()`

- - ### Method Detail

    - #### normals

          it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>> normals()

      Returns:
        The list of normal vectors

    - #### bitangents

          it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>> bitangents()

      Returns:
        The list of bitangent vectors

    - #### tangents

          it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI4D<R2SpaceObjectType>> tangents()

      Returns:
        The list of tangent vectors

    - #### positions

          it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>> positions()

      Returns:
        The list of position vectors

    - #### uvs

          it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI2D<R2SpaceTextureType>> uvs()

      Returns:
        The list of UV vectors

    - #### vertices

          it.unimi.dsi.fastutil.BigList<R2MeshTangentsVertexType> vertices()

      Returns:
        The list of vertices

    - #### triangles

          it.unimi.dsi.fastutil.BigList<R2MeshTriangleType> triangles()

      Returns:
        The list of triangles

    - #### matchMesh

          default <A,E extends Exception> A matchMesh(com.io7m.jfunctional.PartialFunctionType<R2MeshBasicType,A,E> on_basic,
                                                      com.io7m.jfunctional.PartialFunctionType<R2MeshTangentsType,A,E> on_tangents)
                                               throws E extends Exception

      Description copied from interface: `R2MeshType`
      Match a mesh type.
      Specified by:
        `matchMesh` in interface `R2MeshType`
      Type Parameters:
        `A` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `on_basic` - Evaluated on basic meshes
        `on_tangents` - Evaluated on meshes with tangents
      Returns:
        A value of `A`
      Throws:
        `E` - If the given functions raise `E`
        `E extends Exception`

Copyright © 2017 <code@io7m.com> http://io7m.com